# 監査レポート

### 監査レポート

適切なメッセージ付きでレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --limit 50`

作成日、ユーザー名、イベント種別、メッセージを含むレポートの一覧を返します。

**パラメーター:**

`limit` - 行数の上限。

**例:**

```sh
My Vault> audit-report --limit 50
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (正規表現プレフィックス)

個別の正規表現パターンに一致したレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report "regex:login.*"`

**パラメーター:**

`regex:<pattern>` - 個別の正規表現パターン。

**例:**

```sh
My Vault> audit-report "regex:login.*"
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (完全一致プレフィックス)

文字列の完全一致に基づくレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report "exact:record_update"`

**パラメーター:**

`exact:<text>` - 完全一致する文字列。

**例:**

```sh
My Vault> audit-report "exact:record_update"
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (否定プレフィックス)

否定による絞り込みに基づくレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report "not:exact:login"`

**パラメーター:**

`not:exact:<text>` - 否定による絞り込み。

**例:**

```sh
My Vault> audit-report "not:exact:login"
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (すべて一致)

複数のパターンがすべて一致したレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report "exact:audit_alert_sent" "exact:A12" --match-all`

**パラメーター:**

`exact:<text>` - 完全一致する文字列。

**例:**

```sh
My Vault> audit-report "exact:audit_alert_sent" "exact:A12" --match-all
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (レポート種別)

特定のレポート種別に基づくレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type span --columns username audit_event_type`

**パラメーター:**

`report-type` - レポートの種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

**例:**

```sh
My Vault> audit-report --report-type span --columns username audit_event_type
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (集計)

集計列付きのレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --aggregate occurrences`

**パラメーター:**

`aggregate` - 集計列。例: `occurrences, first_created, last_created` 。

**例:**

```sh
My Vault> audit-report --report-type day --aggregate occurrences last_created      
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (並び順)

並び順を指定したレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --columns username ip_address --order asc`

**パラメーター:**

`report-type` - レポートの種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

`order` - レポート一覧の並び順 `asc` または `desc` 。

**例:**

```sh
My Vault> audit-report --report-type day --columns username ip_address --order asc
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (フィルター)

フィルターに基づくレポートの一覧を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --created today --columns username ip_address`

**パラメーター:**

`report-type` - レポートの種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

**フィルター:**

`created` - 作成日時の絞り込み。例: `today, yesterday, last_7_days, last_30_days, month_to_date, last_month, year_to_date, last_year` 。

`event-type` - イベント種別で絞り込む。例: `login, record_update` 。

`username` - ユーザー名で絞り込む。

`to-username` - イベントの対象ユーザーで絞り込む。

`record-uid` - レコードで絞り込む。

`shared-folder-uid` - 共有フォルダで絞り込む。

`ip-address` - IPアドレスで絞り込む。

**例:**

```sh
My Vault> audit-report --report-type day --created today --columns username ip_address
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

### 監査レポート (出力形式)

json、table、csv などの形式に基づいてレポート出力を表示するコマンド/関数です。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `audit-report --report-type day --columns username ip_address --format json`

**パラメーター:**

`report-type` - レポートの種別。例: `raw, hour, day, week, month, span, dim` 。

`columns` - 列名 `created, audit_event_type, username, ip_address, keeper_version, message, record_uid` 。

`format` - 出力形式。例: json、table、csv。

**例:**

```sh
My Vault> audit-report --report-type day  --columns username ip_address --format json
```

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>DotNet SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>PowerCommander</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python CLI</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>

<details>

<summary>Python SDK</summary>

近日対応

**参照:**

[コマンダーリファレンス](/keeperpam/jp/commander-cli/command-reference/enterprise-management-commands.md#changing-role-enforcements-and-privileges)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/miscellaneous-commands/audit-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
